Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsBaseRecSrc Interface Reference

Generic interface for reading records. More...

## Public Member Functions
bool | hasNext ()
| Returns true if the source has more records.
NetricsBaseRecord | getNext ()
| Returns the next record.
void | reset ()
| Reset the source to the first record.

## Detailed Description

Generic interface for reading records.

This interface defines how sets of records are passed in the API. When a constructor or method needs a set of records it expects an object that implements this interface. By creating a class that implements this interface the user can feed records from any source directly into the API. The API can then stream these records into the engine.

The .NET interface comes with two predefined implementations of the NetricsTableRecSrc interface: NetricsArrayRecSrc is a simple array of records, NetricsCSVRecSrc reads records from a standard format CSV file.

See also
  NetricsArrayRecSrc, NetricsCSVRecSrc

## Member Function Documentation

## ◆ getNext()

NetricsBaseRecord NetricsServerInterface.NetricsBaseRecSrc.getNext | ( |  | ) |

Returns the next record.

This should throw an exception when there are no more records.

Returns
  the next record

Implemented in NetricsServerInterface.NetricsArrayRecSrc, NetricsServerInterface.NetricsCompoundReader, NetricsServerInterface.NetricsCompoundRecSrc, NetricsServerInterface.NetricsCSVRecSrc, NetricsServerInterface.NetricsTableRecSrc, NetricsServerInterface.NetricsTableCursorCompoundRecSrc, NetricsServerInterface.NetricsTableCursorRecSrc, and NetricsServerInterface.NetricsTextFileRecSrc.

## ◆ reset()

void NetricsServerInterface.NetricsBaseRecSrc.reset | ( |  | ) |

Reset the source to the first record.

Not all record sources may support this operation.

Implemented in NetricsServerInterface.NetricsArrayRecSrc, NetricsServerInterface.NetricsCompoundReader, NetricsServerInterface.NetricsCompoundRecSrc, NetricsServerInterface.NetricsCSVRecSrc, NetricsServerInterface.NetricsTableRecSrc, NetricsServerInterface.NetricsTableCursorCompoundRecSrc, NetricsServerInterface.NetricsTableCursorRecSrc, and NetricsServerInterface.NetricsTextFileRecSrc.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.